#! /bin/bash
#Denu Installation file.
if [ -z $1 ]
	then
		base="/"
	else
		base=$1
fi
bindir="${base}usr/bin/"
dyndir="${base}var/cache/denu/"
stadir="${base}usr/share/denu/"
static_files=(specials wm denu_icon_*.png kdemenurev.menu waimeabottom.ref waimeatop.ref xfce4bottom.ref xfce4top.ref)
dynamic_files=(*.p sysprgms.txt installedDB)
for entry in ${static_files[@]}; do
	if [ -d $entry ]
		then
			install -d -g root -o root ${stadir}${entry}
			install -g root -o root -m 644 ${entry}/* ${stadir}$entry
		else
			install -g root -o root -m 644 $entry $stadir
	fi
done
install -d -g root -o root $dyndir
for entry in ${dynamic_files[@]}; do
	install -g root -o root -m 666 $entry $dyndir
done
install -d -g root -o root $bindir
install -g root -o root denu $bindir
